#!/bin/bash
cd /home/volumio/Install_amoled_noEDID

# Waveshare Amoled timing
BT=/boot/userconfig.txt
if ! grep -q 'hdmi_timings=1080 1 26 4 50 1920 1 8 2 6 0 0 0 60 0 135580000 3' $BT; then
	sudo sed -i '/# Add your custom config.txt options/a\
max_framebuffer_height=1920\
config_hdmi_boost=10\
hdmi_group=2\
hdmi_mode=87\
hdmi_timings=1080 1 26 4 50 1920 1 8 2 6 0 0 0 60 0 135580000 3\
hdmi_drive=1\
hdmi_blanking=1' $BT
fi

if ! grep -q -e '^dtoverlay=vc4-kms-v3d' $BT; then
    sudo sed -i '$a\dtoverlay=vc4-kms-v3d,cma-256' $BT
fi

# add custom EDID file to firmware and add Xorg config files
BTC=/boot/cmdline.txt
EDID=AMOLED_1080x1920.bin
sudo cp -f $EDID /lib/firmware
sudo cp -f 96-amoled_mode.conf /etc/X11/xorg.conf.d
sudo cp -f 55x11-rotate_display /etc/X11/Xsession.d
if ! grep -q "$EDID" $BTC; then
    sudo sed -i "s/$/ drm.edid_firmware=HDMI-A-1:$EDID/" $BTC
fi

